<div class="container-fluid">
  <div class="card">
    <div class="card-header bg-info">
      Departments
    </div>
    <div class="card-body">
      <p-table id="exportTable"
               class="text-left"
               [columns]="columnName"
               [value]="(data$)"
               [resizableColumns]="true"
               [autoLayout]="true">

        <ng-template pTemplate="caption">
          List of User Groups
          :&nbsp;{{ totalRecords }}
        </ng-template>
        <ng-template pTemplate="header" let-columns>
          <tr>
            <th *ngFor="let col of columns" [pSortableColumn]="col.value">
              {{col.name}}
              <p-sortIcon [field]="col.value"></p-sortIcon>
            </th>
          </tr>
        </ng-template>

        <ng-template pTemplate="body" let-list let-i="rowIndex">
          <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
            <td>{{ i + 1}}</td>
            <td>{{ list.name }}</td>
            <td>{{ list.value}}</td>
          </tr>
        </ng-template>
      </p-table>
    </div>
  </div>
</div>
